This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 764845 - (GLUSTER-3113) unable to modify the permissions for group
unable to modify the permissions for group
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: access-control (Show other bugs)
pre-release
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-30 02:55 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description M S Vishwanath Bhat 2011-06-30 02:55:01 EDT
I created a file as root. then changed the ownership of the file to 'testacl' then changed the group to 'grpacl'. now when i tried to change the permissions for group using setfacl I'm getting the error saying operation not supported.

root@tortuga:/mnt/gluster# getfacl cleanup.sh 
# file: cleanup.sh
# owner: root
# group: root
user::rwx
group::r--
other::r--

root@tortuga:/mnt/gluster# chown testacl cleanup.sh 
root@tortuga:/mnt/gluster# chgrp grpacl cleanup.sh 
root@tortuga:/mnt/gluster# getfacl cleanup.sh 
# file: cleanup.sh
# owner: testacl
# group: grpacl
user::rwx
group::r--
other::r--

root@tortuga:/mnt/gluster# setfacl -m g:grpacl:rwx cleanup.sh 
setfacl: cleanup.sh: Operation not supported
root@tortuga:/mnt/gluster# 

But when I repeated the above exercise in back-end filesystem, I was able to to change that.

root@tortuga:/disk/samba-export# setfacl -m g:grpacl:rwx cleanup.sh 
root@tortuga:/disk/samba-export# getfacl cleanup.sh 
# file: cleanup.sh
# owner: testacl
# group: grpacl
user::rwx
group::r--
group:grpacl:rwx
mask::rwx
other::r--

Note You need to log in before you can comment on or make changes to this bug.